# Gimp.ValueArray.get_color_array

    @accepts(Gimp.ValueArray, int)
    @returns([Gegl.Color])
    def get_color_array(self, index):
        # Python wrapper for gimp_value_array_get_color_array()

Return a pointer to the value at index contained in self. This value is supposed to be a [type@ColorArray].

*Note*: most of the time, you should use the generic [method@Gimp.ValueArray.index] to retrieve a value, then the relevant `g_value_get_*()` function. This alternative function is mostly there for bindings because GObject-Introspection is [not able yet to process correctly known boxed array types](https://gitlab.gnome.org/GNOME/gobject-introspection/-/issues/492).

There are no reasons to use this function in C code.

Since 3.0

self

  Gimp.ValueArray to get a value from

index

  index of the value of interest

Returns